public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ulrich Müller" <ulm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emacs/lyskom-elisp-client/
Date: Sun, 10 Jun 2018 17:29:41 +0000 (UTC)	[thread overview]
Message-ID: <1528651771.c17f069e0fc9ae8095cfa63850a09a76d0987951.ulm@gentoo> (raw)

commit:     c17f069e0fc9ae8095cfa63850a09a76d0987951
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 10 17:28:42 2018 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sun Jun 10 17:29:31 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c17f069e

app-emacs/lyskom-elisp-client: New snapshot.

Fixes build with Emacs 26.1.

Closes: https://bugs.gentoo.org/657746
Package-Manager: Portage-2.3.40, Repoman-2.3.9

 app-emacs/lyskom-elisp-client/Manifest             |  1 +
 .../lyskom-elisp-client-0.48_p20180410.ebuild      | 44 ++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/app-emacs/lyskom-elisp-client/Manifest b/app-emacs/lyskom-elisp-client/Manifest
index 433c111efb0..f0ee6ee430e 100644
--- a/app-emacs/lyskom-elisp-client/Manifest
+++ b/app-emacs/lyskom-elisp-client/Manifest
@@ -1,2 +1,3 @@
 DIST lyskom-elisp-client-0.48_p20131231.tar.xz 888212 BLAKE2B 54bcd028a8adc51aeedd8f8e8940b391d06bfda389c3ce776c113a2f1fe738d5d46a5332bba07c708dc38b06f6c4d6feff3328a4ff10bce1c22dd9c73d6bf349 SHA512 124dc45194d68588535e134acae9de9b19484b568c43d2eb49d3c4e8ee923e0baf64a634181a3238f34cf59a98a5a1e92e988519d26e8f3c3a0e867f500d53e9
 DIST lyskom-elisp-client-0.48_p20161231.tar.xz 889464 BLAKE2B fda0de6e335c0f50dd8ca78c45ea161ce1e8290beba54567c1352609f9f5b1fd69be5d651b33ed89e6a19a52665954e80cb22dfafbf8d396d87bef735114f528 SHA512 f412a0b1b9f71be26ac511f66ba5215e757287baa668ce71802802eb13f907137fe27a96614c58abac510104c1d9558cf9b62b3bf8e598c11b4fa3bc33269f81
+DIST lyskom-elisp-client-0.48_p20180410.tar.xz 889468 BLAKE2B b8a1766b6f6b1d4b01676792f45d66517cdc43d2e29ae6e5b0704b90e4dfc749f8e4155159fd28a25426d79502bcaf7f2cbded32b2e64e22b2b36f11cbdbd123 SHA512 efb04b2100d59fac971898a6db3e48cf45e3bdc4455f06a0cdd065a97db5441edd4eda2e838a5e88c0b0246387dba0e3f71777892b3a6889c51960f0259fbdfc

diff --git a/app-emacs/lyskom-elisp-client/lyskom-elisp-client-0.48_p20180410.ebuild b/app-emacs/lyskom-elisp-client/lyskom-elisp-client-0.48_p20180410.ebuild
new file mode 100644
index 00000000000..ad8068bd1ab
--- /dev/null
+++ b/app-emacs/lyskom-elisp-client/lyskom-elisp-client-0.48_p20180410.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit elisp readme.gentoo-r1
+
+DESCRIPTION="Elisp client for the LysKOM conference system"
+HOMEPAGE="http://www.lysator.liu.se/lyskom/klienter/emacslisp/index.en.html"
+# snapshot of git://git.lysator.liu.se/${PN}/${PN}.git
+SRC_URI="https://dev.gentoo.org/~ulm/distfiles/${P}.tar.xz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~sparc ~x86"
+IUSE="l10n_sv"
+
+S="${WORKDIR}/${PN}"
+ELISP_PATCHES="${PN}-0.48_p20161231-no-git.patch"
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+	elisp_src_prepare
+	local d=${PV#*_p}
+	sed -i "s/@@DATE@@/${d:0:4}-${d:4:2}-${d:6:2}/" src/Makefile || die
+}
+
+src_compile() {
+	emake -C src EMACS=emacs
+	# Info page is in Swedish only
+	use l10n_sv && emake -C doc elisp-client
+}
+
+src_install() {
+	elisp-install ${PN} src/lyskom.{el,elc}
+	elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+	dodoc src/{ChangeLog*,README,TODO} doc/NEWS*
+	use l10n_sv && doinfo doc/elisp-client
+
+	DOC_CONTENTS="If you prefer an English language environment, add the
+		following line to your ~/.emacs file:
+		\n\t(setq-default kom-default-language 'en)"
+	readme.gentoo_create_doc
+}


             reply	other threads:[~2018-06-10 17:29 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-06-10 17:29 Ulrich Müller [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-03-30 12:19 [gentoo-commits] repo/gentoo:master commit in: app-emacs/lyskom-elisp-client/ Mikle Kolyada
2020-03-30 12:19 Mikle Kolyada
2020-03-30 12:19 Mikle Kolyada
2020-02-26 21:03 Ulrich Müller
2018-09-19 18:08 Ulrich Müller
2018-07-23 16:20 Ulrich Müller
2018-07-23  0:20 Mikle Kolyada
2018-02-06 15:10 Thomas Deutschmann
2017-12-16 10:31 Tobias Klausmann
2016-06-22 17:38 Ulrich Müller

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1528651771.c17f069e0fc9ae8095cfa63850a09a76d0987951.ulm@gentoo \
    --to=ulm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox